
%global meadversion 0.9.4
%global namedversion 0.9.4.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead
%bcond_with extras

%{?scl:%scl_package mustache-java}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.9.4.redhat-1

Name:           %{?scl_prefix}mustache-java
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        mustache.java
Group:          Development/Java

%if %with mead
Source100: mustache.java-0.9.4.redhat-1-scm-sources.zip
Source102: handlebar-0.9.4.redhat-1-jar-with-dependencies.jar
Source103: handlebar-0.9.4.redhat-1-sources.jar
Source104: handlebar-0.9.4.redhat-1.jar
Source105: handlebar-0.9.4.redhat-1.pom
Source106: handlebar-0.9.4.redhat-1-javadoc.jar
Source107: mustache.java-0.9.4.redhat-1.pom
Source108: mustache.java-0.9.4.redhat-1-project-sources.tar.gz
Source109: scala-extensions-2.11-0.9.4.redhat-1-sources.jar
Source110: scala-extensions-2.11-0.9.4.redhat-1.pom
Source111: scala-extensions-2.11-0.9.4.redhat-1.jar
Source112: scala-extensions-2.11-0.9.4.redhat-1-javadoc.jar
Source113: compiler-0.9.4.redhat-1-tests.jar
Source114: compiler-0.9.4.redhat-1-javadoc.jar
Source115: compiler-0.9.4.redhat-1-jar-with-dependencies.jar
Source116: compiler-0.9.4.redhat-1-sources.jar
Source117: compiler-0.9.4.redhat-1.pom
Source118: compiler-0.9.4.redhat-1.jar
Source119: javascript-0.9.4.redhat-1-sources.jar
Source120: javascript-0.9.4.redhat-1-javadoc.jar
Source121: javascript-0.9.4.redhat-1.pom
Source122: javascript-0.9.4.redhat-1.jar
Source123: scala-extensions-2.10-0.9.4.redhat-1-javadoc.jar
Source124: scala-extensions-2.10-0.9.4.redhat-1-sources.jar
Source125: scala-extensions-2.10-0.9.4.redhat-1.jar
Source126: scala-extensions-2.10-0.9.4.redhat-1.pom
Source127: scala-extensions-0.9.4.redhat-1.pom
Source128: mustache-maven-plugin-0.9.4.redhat-1-sources.jar
Source129: mustache-maven-plugin-0.9.4.redhat-1-javadoc.jar
Source130: mustache-maven-plugin-0.9.4.redhat-1.pom
Source131: mustache-maven-plugin-0.9.4.redhat-1.jar
Source132: benchmarks-0.9.4.redhat-1.jar
Source133: benchmarks-0.9.4.redhat-1.pom
Source134: benchmarks-0.9.4.redhat-1-sources.jar
Source135: benchmarks-0.9.4.redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://github.com/spullara/mustache.java
Provides:       %{?scl_prefix}mustache.java = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}mustache-java-compiler = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Implementation of the Mustache language in Java.

%package -n %{?scl_prefix}mustache-java-compiler
Summary:        compiler
Group:          Development/Java

Provides:       %{?scl_prefix}mustache.java-compiler = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}guava >= 0:13.0.1

%description -n %{?scl_prefix}mustache-java-compiler
Implementation of mustache.js for Java.

%if %with extras
%package -n %{?scl_prefix}mustache-java-handlebar
Summary:        handlebar
Group:          Development/Java

Provides:       %{?scl_prefix}mustache.java-handlebar = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}cli-parser >= 0:1.0
Requires:       %{?scl_prefix}mustache-java-compiler = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-mapper-asl >= 0:1.9.4
Requires:       %{?scl_prefix_eap}jetty-server >= 0:7.0.2.v20100331

%description -n %{?scl_prefix}mustache-java-handlebar
%{summary}.

%package -n %{?scl_prefix}mustache-java-codegen
Summary:        codegen
Group:          Development/Java

Provides:       %{?scl_prefix}mustache.java-codegen = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}mustache-java-compiler = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}asm-commons >= 0:4.0
Requires:       %{?scl_prefix_eap}asm-util >= 0:4.0

%description -n %{?scl_prefix}mustache-java-codegen
%{summary}.

%package -n %{?scl_prefix}mustache-java-indy
Summary:        indy
Group:          Development/Java

Provides:       %{?scl_prefix}mustache.java-indy = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}mustache-java-codegen = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}mustache-java-indy
Invokedynamic implementation of ObjectHandler.
%endif

%if %with javadoc
%package javadoc
Summary:        Javadoc for mustache.java
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n mustache.java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/compiler-%{namedversion}.jar %{buildroot}%{_javadir}/compiler-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/compiler-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/compiler-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/compiler-%{namedversion}-sources.jar %{buildroot}%{_javadir}/compiler-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/handlebar-%{namedversion}.jar %{buildroot}%{_javadir}/handlebar-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/handlebar-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/handlebar-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/handlebar-%{namedversion}-sources.jar %{buildroot}%{_javadir}/handlebar-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/codegen-%{namedversion}.jar %{buildroot}%{_javadir}/codegen-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/codegen-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/codegen-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/codegen-%{namedversion}-sources.jar %{buildroot}%{_javadir}/codegen-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/indy-%{namedversion}.jar %{buildroot}%{_javadir}/indy-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/indy-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/indy-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/indy-%{namedversion}-sources.jar %{buildroot}%{_javadir}/indy-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/mustache.java-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/mustache.java-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/mustache.java-%{namedversion} -x META-INF/\*
%{__ln_s} indy-%{namedversion} %{buildroot}%{_javadocdir}/mustache.java
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}mustache-java-compiler
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/compiler-%{namedversion}.jar
%{_javadir}/compiler.jar
%if %with javadoc
%{_javadir}/compiler-%{namedversion}-javadoc.jar
%{_javadir}/compiler-javadoc.jar
%endif
%{_javadir}/compiler-%{namedversion}-sources.jar
%{_javadir}/compiler-sources.jar

%if %with extras
%files -n %{?scl_prefix}mustache-java-handlebar
%defattr(0644,root,root,0755)
%{_javadir}/handlebar-%{namedversion}.jar
%{_javadir}/handlebar.jar
%if %with javadoc
%{_javadir}/handlebar-%{namedversion}-javadoc.jar
%{_javadir}/handlebar-javadoc.jar
%endif
%{_javadir}/handlebar-%{namedversion}-sources.jar
%{_javadir}/handlebar-sources.jar

%files -n %{?scl_prefix}mustache-java-codegen
%defattr(0644,root,root,0755)
%{_javadir}/codegen-%{namedversion}.jar
%{_javadir}/codegen.jar
%if %with javadoc
%{_javadir}/codegen-%{namedversion}-javadoc.jar
%{_javadir}/codegen-javadoc.jar
%endif
%{_javadir}/codegen-%{namedversion}-sources.jar
%{_javadir}/codegen-sources.jar

%files -n %{?scl_prefix}mustache-java-indy
%defattr(0644,root,root,0755)
%{_javadir}/indy-%{namedversion}.jar
%{_javadir}/indy.jar
%if %with javadoc
%{_javadir}/indy-%{namedversion}-javadoc.jar
%{_javadir}/indy-javadoc.jar
%endif
%{_javadir}/indy-%{namedversion}-sources.jar
%{_javadir}/indy-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/mustache.java-%{namedversion}
%{_javadocdir}/mustache.java
%endif

%changelog
* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 0.9.4-2.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 0.9.4-1.redhat_1.1
- upgrade to 0.9.4.redhat-1

* Wed Aug 19 2015 David Walluck <dwalluck@redhat.com> - 0.8.13-1.redhat_1.1
- release

